{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}

{% block title %}Red del Servicio #{{ service.number }}{% endblock %}

{% block page %}
{%if can_show_detail %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
	<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
	<li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
	<li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
	<li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
	<li class="breadcrumb-item active">Red</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
<!-- end page-header -->

<ul class="nav nav-pills mb-2">
	<li class="nav-item">
		<a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		</a>
	</li>
	<li class="nav-item">
		<a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link active">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		</a>
	</li>
	<!--
	<li class="nav-item {% add_active request 'service-calls' %}">
		<a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Registro de Llamadas</span>
			<span class="d-sm-block d-none">Registro de Llamadas</span>
		</a>
	</li>
	-->
	<li class="nav-item {% add_active request 'service-gallery' %}">
		<a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Galería</span>
			<span class="d-sm-block d-none">Galería</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-documents' %}">
		<a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-extras' %}">
		<a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-promotions' %}">
        <a href="{% url 'service-promotions' service.slug %}" class="nav-link">
            <span class="d-sm-none">Promociones</span>
            <span class="d-sm-block d-none">Promociones</span>
        </a>
    </li>	
	<li class="nav-item {% add_active request 'service-plan-orders' %}">
		<a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		</a>
	</li>
    <li class="nav-item {% add_active request 'service-configuration' %}">
        <a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Configuración</span>
            <span class="d-sm-block d-none">Configuración</span>
        </a>
    </li>
	<li class="nav-item {% add_active request 'service-typify' %}">
		<a href="{% url 'service-typify' service.slug %}" class="nav-link">
			<span class="d-sm-none">Tipificaciones</span>
			<span class="d-sm-block d-none">Tipificaciones</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-billing' %}">
			<a href="{% url 'service-billing' service.slug %}" class="nav-link">
			  <span class="d-sm-none">Estado de Cuenta servicio</span>
			  <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
			</a>
		  </li> 
	<li class="nav-item {% add_active request 'invoice-list' %}">
		<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
			<span class="d-sm-none">Estado de Cuenta cliente</span>
			<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
		</a>
    </li>
    
</ul>

<!-- begin row -->
<div class="row">

	<!-- begin col-4 -->
	<div class="col-xl-4 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Información principal</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				<div class="row mb-3">
					<div class="col-sm-12 col-md-12">
						{% if perms.customers.change_service %}
							<a class="btn btn-warning btn-sm pull-right ml-1" href="{% url 'service-network-update' service.slug %}">Editar</a>
						{% endif %}
						<a href="{% url 'service-network-activate' service.pk %}" class="btn btn-success btn-sm pull-right ml-1">Conectar</a>
						<a href="{% url 'service-network-drop' service.pk %}" class="btn btn-danger btn-sm pull-right ml-1">Cortar</a>
					</div>
				</div>
				
				<h4>Nodo de corte</h4>
				{% if service.network_mismatch %}
					<div class="alert alert-danger" role="alert">¡Se ha detectado que el servicio se encuentra en otro nodo! {% if service.node_mismatch %}(<a href="{% url 'node-detail' service.node_mismatch.pk %}">{{ service.node_mismatch }}</a>){% endif %}</div>
				{% endif %}
				<p>
					<a href="{% if perms.infra.view_node %}{% url 'node-detail' service.node.pk %}{% else %}#{% endif %}">{{ service.node }}</a>
				</p>
				<p class="text-success">
					<strong><i>{{ service.node.mikrotik_ip }}</i></strong>
				</p>
				<h4>Nodo de instalación</h4>
				<p>
					<a href="{% if perms.infra.view_node %}{% url 'node-detail' service.node.pk %}{% else %}#{% endif %}">{{ service.original_node }}</a>
				</p>
				<h4>SSID</h4>
				<p{% if not service.ssid %} class="text-danger"{% endif %}>
					{{ service.ssid|default:"Sin asignar" }}
				</p>
				<h4>Contraseña</h4>
				<p{% if not service.password %} class="text-danger"{% endif %}>
					{{ service.password|default:"Sin asignar" }}
				</p>
				<h4>Tipo de tecnología</h4>
				<p>{{ service.get_technology_kind_display|capfirst }}</p>
				{% if service.technology_kind == 2 or service.technology_kind == 3 %}
				<h4>MAC ONU</h4>
				<p>{{ service.mac_onu|default:"No ingresada" }}</p>
				{% endif %}
				<h4>Notas de Instalación</h4>
				<p>{{ service.network_notes|default:"Sin notas."}}</p>
			</div>
			<!-- end panel-body -->
		</div>
		<!-- end panel -->
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Equipo primario</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<div class="row mb-3">
						<div class="col-sm-12 col-md-12">
							<!--
							{% if perms.customers.change_service %}
								<a class="btn btn-warning btn-sm pull-right ml-1" href="#">
									Editar
								</a>
							{% endif %}-->
						</div>
					</div>
					{% with service.primary_equipment as equipment %}
						{% if equipment %}
							<h4>Dirección IP</h4>
							<p>{{ equipment.ip|default:"Desconocida" }}</p>
							<h4>Marca</h4>
							<p>{{ equipment.brand|default:"Chancho" }}</p>
							<h4>Modelo</h4>
							<p>{{ equipment.model|default:"Desconocido" }}</p>
							<h4>MAC</h4>
							<p>{{ equipment.mac|default:"Desconocida" }}</p>
							<h4>Notas</h4>
							<p>{{ equipment.notes|default:"Ninguna" }}</p>
							{% else %}
							<p>No se ha elegido el equipo primario.</p>
						{% endif %}
					{% endwith %}

				</div>
				<!-- end panel-body -->
		</div>
		<!-- end panel -->
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1" id="activity_log">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Información principal</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Actividad</th>
								<th>Fecha</th>
							</tr>
						</thead>
						<tbody>
							{% for activity in service.network_action_log %}
								<tr>
									<td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} este servicio.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
		</div>
		<!-- end panel -->
	</div>
	<!-- end col-4 -->
	<!-- begin col-8 -->
	<div class="col-xl-8 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-primary" data-sortable-id="ui-general-4">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Equipos de red</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				{% if perms.customers.change_service %}
					<div class="row mb-3">
						<div class="col-sm-12 col-md-12">
							<a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'service-network-item-add' service.slug %}">Nuevo</a>
						</div>
					</div>
				{% endif %}
				<table class="table table-striped">
					
	  {% if service.networkequipment_set.count %}
	  <table class="table table-hover">
	    <thead>
	      <tr>
			<th></th>
			<th>IP</th>
			<th>Marca</th>
			<th>Modelo</th>
			<th>MAC</th>
			<th>Serie</th>
			<th>Notas</th>
			<th>Ultima IP</th>
			<th>Técnico</th>
			<th>Acciones</th>
	      </tr>
	    </thead>
	    <tbody>

	    {% for equipment in service.networkequipment_set.all %}
	    <tr>
			<td>{% if equipment.primary %}<span class="text-warning" title="Equipo designado como primario."><i class="ti-angle-double-up" style="margin-right: -25px;"></i></span>{% endif %}</td>
			<td><a href="{% url 'service-network-item-update' service.slug equipment.pk %}">{{ equipment.ip }}</a> <i class="ti-pencil-alt"></i></td>
			<td>{{ equipment.brand }}</td>
			<td>{{ equipment.model }}</td>
			<td>{{ equipment.mac }}</td>
			<td>{{ equipment.serial_number|default:'Sin serie' }}</td>
			<td class="equipment-notes" data-toggle="popover" title="Notas del equipo" data-content="{{ equipment.notes }}" data-placement="top" data-trigger="hover" data-container="body">{{ equipment.notes|truncatechars:9 }}</td>
			<td title="{{ equipment.user  }}">{{ equipment.last_history_ip.history_date |naturaltime}}</td>
			{% if equipment ==  service.networkequipment_set.last %}
			<td>{{ equipment.service.technician.name }}</td>
			{% else %}
			<td></td>
			{% endif %}
			<td>
		      <form style="float:left" onclick="return confirm('¿Está seguro?');"  action="{% url 'service-network-item-delete' service.slug equipment.pk %}" method="post">{% csrf_token %}
		          <input type="submit" value="Eliminar" class="btn btn-danger btn-xs">
		      </form>
		      {% if not equipment.primary %}<span style="float:left; padding:0px 10px;"> | </span><a  style="float:left" class="btn btn-primary btn-xs" href="{% url 'service-network-choose' service.slug equipment.pk %}">Elegir primario</a>{% endif %}
		    </td>
	    </tr>
	    {% endfor %}
	    
	    </tbody>
	  </table>
	  {% else %}
	  <div class="panel-body">
	    <p>No hay ningún equipo aún.</p>
	  </div>
	  {% endif %}
				</table>
			</div>
			<!-- end panel-body -->
		</div>
		<!-- end panel -->
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Últimos cambios de red</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					{% if service.networkequipment_set.count %}
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Nuevo estado</th>
									<th>Fecha</th>
									<th>Agente</th>
								</tr>
							</thead>
							<tbody>
								{% for change in service.latest_network_changes %}
									<tr>
										<td><span class="label label-default">{{ change.new_state }}</span></td>
										<td>{{ change.created_at|naturaltime }}</td>
										<td>{{ change.agent }}</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					{% else %}
						<div class="panel-body">
							<p>No hay ningún equipo aún.</p>
						</div>
					{% endif %}	
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
	</div>
	<!-- end col-6 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{%else%}
<!-- begin page-header -->
<h1 class="page-header">  Servicio </h1>
<!-- end page-header -->
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
<hr>
<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
</div>
{% endif %}
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
  $(document).ready(function (){
    $('.equipment-notes').popover();
  });
</script>
{% endblock %}
